API references
Search documentation... ⌘K
API references
Merchant API

Subscribe to notification topics

Subscribe an email address to one or more notification topics for this merchant. The email will receive notifications when events related to those topics occur.

This endpoint supports both create and update operations: - Create: When no subscriptions exist for the email+merchant combination - Update: When subscriptions exist, it will delete all existing subscriptions for that email+merchant and create new ones

You can subscribe to multiple topics at once by providing an array of topic IDs. The language parameter determines the language of the notifications sent to this email.

This endpoint requires authentication and will create email subscriptions for the specified merchant and notification topics.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/subscribe-to-topics HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
email: string,
language: string,
notification_topic_ids: array,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
email string

Required. The email address to subscribe to the notification topics.

language string

Required. The language for notifications sent to this email address (e.g., "en", "es", "fr").

Allowed values:
  • en
  • th
notification_topic_ids array

Required. Array of notification topic IDs to subscribe to. You can subscribe to multiple topics at once.

Errors specific to this endpoint
NOT_FOUND

One or more notification topics with the specified IDs could not be found.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.